> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Team Member



## OpenAPI

````yaml POST /api/v1/on-call/teams/{teamId}/members
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/on-call/teams/{teamId}/members:
    post:
      tags:
        - on-call
      summary: Add a member to a team
      operationId: OnCallTeamController_addMember_v1
      parameters:
        - name: teamId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOnCallMemberDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreateOnCallMemberDto:
      type: object
      properties:
        name:
          type: string
      required:
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````